# delete

## 주문 삭제

## 주문 삭제

> 주문정보를 삭제합니다.

```json
{"openapi":"3.1.1","info":{"title":"web_api_v2","version":"v1"},"servers":[{"url":"https://api.etomars.com"}],"paths":{"/api/v1/invoice/delete":{"post":{"tags":["Invoice"],"summary":"주문 삭제","description":"주문정보를 삭제합니다.","operationId":"Invoice_DeleteInvoice","responses":{"200":{"description":"sucess","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ComResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ComResponse"}},"text/xml":{"schema":{"$ref":"#/components/schemas/ComResponse"}}}},"400":{"description":"Valid Fail","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComDataResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ComDataResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ComDataResponse"}},"text/xml":{"schema":{"$ref":"#/components/schemas/ComDataResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvoiceDeleteReq"}},"text/json":{"schema":{"$ref":"#/components/schemas/InvoiceDeleteReq"}},"application/xml":{"schema":{"$ref":"#/components/schemas/InvoiceDeleteReq"}},"text/xml":{"schema":{"$ref":"#/components/schemas/InvoiceDeleteReq"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/InvoiceDeleteReq"}}},"description":"요청 데이터","required":true}}}},"components":{"schemas":{"ComResponse":{"description":"Action 실행결과 코드/메시지를 서비스에서 컨트롤러로 리턴할때 사용","type":"object","properties":{"Message":{"type":"string"},"Code":{"format":"int32","type":"integer"}}},"ComDataResponse":{"description":"실행결과 데이터 혹은 에러를 리턴","type":"object","properties":{"Data":{"type":"array","items":{"type":"object"}},"Error":{"type":"array","items":{"type":"object"}},"Message":{"type":"string"},"Code":{"format":"int32","type":"integer"}}},"InvoiceDeleteReq":{"required":["RegNo","ApiKey"],"type":"object","properties":{"RegNo":{"description":"접수번호","type":"string"},"ApiKey":{"description":"APIKey\r\nTest KEY:7abd72462c794016849abe4be","type":"string"}}}}}}
```

Responses

* Code
  * 0 : 성공
  * -10 : 데이터가 없습니다.
  * -20 : 삭제  할 수 없는 상태  값. 주문 접수(10) 상태인 경우만 삭제할 수 있습니다.&#x20;
  * -90 : 데이터베이스 에러


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-guide.etomars.com/api-guide/invoice/delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
